解决IDEA的maven刷新依赖时出现Connot reconnect错误

使用IDEA的maven刷新依赖时报如下错误:
在这里插入图片描述
其原因是因为IDEA的maven中的importing使用的JDK与你实际项目使用的JDK版本不一致导致的。比如我的项目使用的是JDK 1.8,但maven的importing用的是JDK 11,修改为你的实际JDK版本即可。
在这里插入图片描述
但需要注意的时,如果你只是修改Setting中的配置,那么新的工程打开后还是使用的IDEA默认JDK版本,对于新的工程设置需要这里修改:
在这里插入图片描述
吐槽:对于IDEA这种新工程单独设置我个人觉得有点多余。

相关推荐
©️2020 CSDN 皮肤主题: 编程工作室 设计师:CSDN官方博客 返回首页
实付 39.90元
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值